SDL_waylandsym.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

| SDL_WAYLAND_SYM (int, wl_proxy_add_listener,(struct wl_proxy *, void(**)(void), void *)) SDL_WAYLAND_SYM(enum xkb_state_component

## Variables

| xkb_state_update_mask
struct xkb_state * | state
struct xkb_state xkb_mod_mask_t | depressed_mods
struct xkb_state xkb_mod_mask_t xkb_mod_mask_t | latched_mods
struct xkb_state xkb_mod_mask_t xkb_mod_mask_t xkb_mod_mask_t | locked_mods
struct xkb_state xkb_mod_mask_t xkb_mod_mask_t xkb_mod_mask_t xkb_layout_index_t | depressed_layout
struct xkb_state xkb_mod_mask_t xkb_mod_mask_t xkb_mod_mask_t xkb_layout_index_t xkb_layout_index_t | latched_layout

## Function Documentation

SDL_WAYLAND_SYM | ( | int | ,
|  | wl_proxy_add_listener | ,
|  | (struct wl_proxy *, void(**)(void), void *) |
| ) |  |

## Variable Documentation

struct xkb_state xkb_mod_mask_t xkb_mod_mask_t xkb_mod_mask_t xkb_layout_index_t depressed_layout

Definition at line 94 of file SDL_waylandsym.h.

struct xkb_state xkb_mod_mask_t depressed_mods

Definition at line 94 of file SDL_waylandsym.h.

struct xkb_state xkb_mod_mask_t xkb_mod_mask_t xkb_mod_mask_t xkb_layout_index_t xkb_layout_index_t latched_layout

Definition at line 94 of file SDL_waylandsym.h.

struct xkb_state xkb_mod_mask_t xkb_mod_mask_t latched_mods

Definition at line 94 of file SDL_waylandsym.h.

struct xkb_state xkb_mod_mask_t xkb_mod_mask_t xkb_mod_mask_t locked_mods

Definition at line 94 of file SDL_waylandsym.h.

struct xkb_state* state

Definition at line 94 of file SDL_waylandsym.h.

Referenced by SDL_BApp::_HandleKey(), SDL_BApp::_HandleMouseButton(), IMA_ADPCM_decode(), keyboard_getKeyboardState(), mouse_getMouseState(), mouse_getRelativeMouseState(), MS_ADPCM_decode(), platform_testGetPowerInfo(), report_power(), SDL_JoystickGetAxis(), SDL_JoystickGetButton(), SDL_JoystickGetHat(), SDL_PrivateGameControllerButton(), SDL_PrivateJoystickButton(), SDL_PromptAssertion(), SDL_ReportAssertion(), SDL_SendKeyboardKey(), SDL_SendMouseButton(), and SDLTest_CommonCreateState().

xkb_state_update_mask

Definition at line 94 of file SDL_waylandsym.h.